$(function() {
 
	// Asignar evento y función para limpiar los campos
    $('#numhab').on('input', limpaCampos);
 
	// Dispara o Autocomplete a partir do segundo caracter	
    $( "#numhab" ).autocomplete({
	    minLength: 1,
	    source: function( request, response ) {
	        $.ajax({
	            url: "consulta_hab.php",
	            dataType: "json",
	            data: {
	            	acao: 'autocomplete',
	                parametro: $('#numhab').val()
	            },
	            success: function(data) {
	               response(data);
	            }
	        });
	    },
	    focus: function( event, ui ) {
	        $("#numhab").val( ui.item.numhab);
            $('#tipohab').val( ui.item.tipohab);			
			
	        //carregarDados();
	        return false;
	    },
	    select: function( event, ui ) {
	        $("#numhab").val( ui.item.numhab );
	        return false;
	    }
    })
    .autocomplete( "instance" )._renderItem = function( ul, item ) {
      return $( "<li>" )
        .append( "<a><b>NUMERO ..: </b>" + item.numhab + "<br><b>TIPO : </b>" + item.tipohab + "<br><b>STATUS : </b>" + item.status + "</a><br>" )
        .appendTo( ul );
    };
 
	// Función para cargar los datos de la consulta en los campos respectivos	
    function carregarDados(){
    	var buscacuenta = $('#numhab').val();
 
    	if(buscacuenta != "" && buscacuenta.length >= 1){
    		$.ajax({
	            url: "consulta_hab.php",
	            dataType: "json",	
	            data: {
	            	acao: 'consulta',
	                parametro: $('#consulta').val()
	            },
	            success: function( data ) {
	               $('#numhab').val(data[0].numhab);
	               $('#tipohab').val(data[0].tipohab);
	            }
	        });
    	}
    }
 
    function limpaCampos(){
       var buscacuenta = $('#numhab').val();
 
       if(buscacuenta == ""){
           $('#numhab').val('')
           $('#tipohab').val('');
       }
    }
});
